Set up 2FA
curl --request POST \
--url https://api.formbnb.com/user/2fa/setup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.formbnb.com/user/2fa/setup"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.formbnb.com/user/2fa/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secret": "<string>",
"otpauthUrl": "<string>",
"backupCodes": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}User
Setup 2FA
Generate TOTP secret and QR code URL for setting up two-factor authentication.
POST
/
user
/
2fa
/
setup
Set up 2FA
Authorizations
Authentication using either a FormBnB session JWT (issued by /auth) or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.
Was this page helpful?
⌘I